
Robotics Service Bus - Enhancement #498
Integrate causal vector for events
08/12/2011 03:50 PM - J. Wienke

Status: Closed Start date: 09/08/2011
Priority: Urgent Due date:
Category: Protocol Estimated time: 5.00 hours
Target version: 0.5
Description

Events are caused by other events and this information is useful very often. We need a way to tell which event caused which other
event, also in the case where we extend the uri schema such uris need to be stored in events somewhere.

There is actually need from the HUMAVIPS project:

3) it is obvious that the result of (any) computation should reference the 
source image in some way (it's also mentioned in D1.3), is there a 
recommended way of doing this? (timestamps, unique IDs, pointers, ...)

Subtasks:
Tasks # 560: Add cause checking to integration test Resolved
Tasks # 561: Implement cause vector in python Resolved
Tasks # 562: Implement cause vector in java Resolved
Tasks # 563: Implement cause vector in cl Resolved
Enhancement # 656: Logger should display cause vectors in detailed formatting style Resolved
Related issues:
Blocked by Robotics Service Bus - Tasks # 553: Introduce EventId comparable t... Resolved 09/07/2011
Blocks Robotics Service Bus - Tasks # 565: Let RPC mechanism use cause vector Resolved 09/09/2011

Associated revisions
Revision 9f722ecb - 09/08/2011 05:44 PM - J. Wienke

add a basic cause vector to each event. Protocol and C++ implementation adapted.

refs #498

Revision ea5e82da - 09/08/2011 05:44 PM - J. Wienke

add a basic cause vector to each event. Protocol and C++ implementation adapted.

refs #498

Revision 382beb79 - 09/08/2011 05:52 PM - J. Wienke

increment and require higher wire format version

refs #498
Revision 8ffbc8c2 - 09/08/2011 05:52 PM - J. Wienke

increment and require higher wire format version

refs #498

Revision 79da8648 - 09/08/2011 06:02 PM - J. Wienke

adaptions for new protocol version

refs #498

Revision fcff9600 - 09/08/2011 06:10 PM - J. Wienke

adapted to new protocol version

refs #498

History
#1 - 09/02/2011 09:23 PM - J. Wienke

I thought a bit about this and to me it seems we should completely get rid of the uuids for events. instead we should have one class that encapsulates
sequence number amd sender id amd optionally converts to uuid. otherwise i have no efficient way of handling ids for causes without requesting an
expensive uuid creation. what do you think about this? Something like eventid for java as it formerly existed would be the solution.

#2 - 09/03/2011 03:08 PM - S. Wrede

EventId in Java is actually existing since version 0.4 in more or less the way you suggest above. I changed this when working on the participant /
sequence number changes for 0.4. Cf.: https://code.cor-lab.org/projects/rsb/repository/entry/trunk/java/core/src/rsb/EventId.java

Internally in the Java implementation I am mostly working with this class as identifier for notifications and not with UUIDs. BTW: I moved most of the
UUID-related stuff to UUIDTools.java… (For instance the V5 generation code...)

#3 - 09/08/2011 05:44 PM - J. Wienke
- % Done changed from 0 to 50

cpp + protocol adapted. other languages missing right now

#4 - 09/12/2011 04:29 PM - J. Wienke
- Assignee changed from J. Wienke to J. Moringen

#5 - 09/23/2011 02:55 PM - J. Wienke
- Target version changed from rsb-0.10 to 0.5

#6 - 10/20/2011 07:30 AM - J. Moringen
- Status changed from New to In Progress

04/09/2024 2/3

https://code.cor-lab.org/projects/rsb/repository/entry/trunk/java/core/src/rsb/EventId.java


#7 - 10/20/2011 07:32 AM - J. Moringen
- Status changed from In Progress to Closed
